Package org.apache.uima.search.impl

# Class IndexRule_impl

java.lang.Object
org.apache.uima.resource.metadata.impl.MetaDataObject_impl
org.apache.uima.search.impl.IndexRule_impl

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `MetaDataObject`, `IndexRule`, `XMLizable`

public class IndexRule_impl extends MetaDataObject_impl implements IndexRule

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

- ## Field Summary

  ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `serialContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndexRule_impl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Style[]`
  `getStyles()`
  Gets the styles that comprise this index rule.
  `protected XmlizationInfo`
  `getXmlizationInfo()`
  To be implemented by subclasses to return information describing how to represent this object in XML.
  `void`
  `setStyles(Style[] aStyles)`
  Sets the styles that comprise this index rule.

  ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Constructor Details

  - ### IndexRule_impl

    public IndexRule_impl()

- ## Method Details

  - ### getStyles

    public Style[] getStyles()
    Description copied from interface: `IndexRule`
    Gets the styles that comprise this index rule.
    Specified by:
      `getStyles` in interface `IndexRule`
    Returns:
      the CAS type name for this build item

  - ### setStyles

    public void setStyles(Style[] aStyles)
    Description copied from interface: `IndexRule`
    Sets the styles that comprise this index rule.
    Specified by:
      `setStyles` in interface `IndexRule`
    Parameters:
      `aStyles` - the CAS type name for this build item

  - ### getXmlizationInfo

    protected XmlizationInfo getXmlizationInfo()
    Description copied from class: `MetaDataObject_impl`
    To be implemented by subclasses to return information describing how to represent this object in XML.
    Specified by:
      `getXmlizationInfo` in class `MetaDataObject_impl`
    Returns:
      information defining this object's XML representation